{
  "name": "",
  "type": "module",
  "version": "0.0.1",
  "engines": {
    "node": ">=22.12.0"
  },
  "scripts": {
    "dev": "astro dev",
    "build": "astro build",
    "preview": "astro preview",
    "astro": "astro",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix",
    "format": "prettier --write .",
    "prepare": "husky"
  },
  "lint-staged": {
    "*.{js,ts,jsx,tsx,svelte,vue}": [
      "eslint --fix",
      "prettier --write"
    ],
    "*.{astro,css,md,mdx,json}": [
      "prettier --write"
    ]
  },
  "dependencies": {
    "@astrojs/node": "^10.0.4",
    "@astrojs/react": "^5.0.2",
    "@astrojs/rss": "^4.0.18",
    "@astrojs/svelte": "^8.0.4",
    "@astrojs/vue": "^6.0.1",
    "@iconify-json/material-symbols": "^1.2.65",
    "@iconify-json/mdi": "^1.2.3",
    "@markdoc/markdoc": "^0.5.7",
    "@traptitech/markdown-it-katex": "^3.6.0",
    "@types/react": "^19.2.14",
    "@types/react-dom": "^19.2.3",
    "@unocss/reset": "^66.6.7",
    "artalk": "^2.9.1",
    "astro": "^6.1.0",
    "astro-icon": "^1.1.5",
    "axios": "^1.13.6",
    "katex": "^0.16.43",
    "markdown-it": "^14.1.1",
    "react": "^19.2.4",
    "react-dom": "^19.2.4",
    "shiki": "^4.0.2",
    "svelte": "^5.55.0",
    "typescript": "^5.9.3",
    "vue": "^3.5.31"
  },
  "devDependencies": {
    "@types/markdown-it": "^14.1.2",
    "@typescript-eslint/eslint-plugin": "^8.58.0",
    "@typescript-eslint/parser": "^8.57.2",
    "eslint": "^10.1.0",
    "eslint-plugin-astro": "^1.6.0",
    "eslint-plugin-vue": "^10.8.0",
    "husky": "^9.1.7",
    "lint-staged": "^16.4.0",
    "prettier": "^3.8.1",
    "prettier-plugin-astro": "^0.14.1",
    "svelte-eslint-parser": "^1.6.0"
  }
}
